{% extends 'base.html.twig' %}

{% block content %}
    {# TODO Translate !!! #}
    <h1>EternalKingdom a rencontré un problème interne !</h1>
    <p style="color: #720000">Erreur n°{{ exception.code }} - <b>{{ exception.message }}</b></p>
    <br>
    <p>
        Vous pouvez signaler le problème sur le <a href="https://eternal-twin.net/forum/threads/ac1dc881-bb89-4fcb-974b-62feb5057600">forum</a> ou le discord EternalTwin !
    </p>

    {% if ('staging' in app.request.uri or 'localhost' in app.request.uri) %}
        <br>
        <h3>Stack:</h3>

        {% set stackArray = exception.traceAsString | split('#') %}
        <ul>
            {% for line in stackArray %}
                <li>{{ line }}</li><br>
            {% else %}
                <li>no stack...</li>
            {% endfor %}
        </ul>
    {% endif %}
{% endblock %}